#!/usr/bin/webif-page
<?

###
 #
 # FreeWLAN Addons - http://www.freewlan.info
 #
 # This Script is based on work from http://www.fonfan.de
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
 # as published by the Free Software Foundation; either version 2
 # of the License, or (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA  02110-1301, USA
 #
 # http://www.gnu.org/copyleft/gpl.html
 #
###

. /usr/lib/webif/webif.sh

config_load router
config_get mode mode mode
config_get ssid mode ssid
config_get rssid mode rssid

config_load fon
. /tmp/network-config

get_default wanmode wan mode
case "$FORM_wanmode" in
	static)
		wanmode="Static"
	;;
	dhcp)
		wanmode="DHCP"
	;;
	pppoe)
		wanmode="PPPoE"
	;;
	pptp)
		wanmode="PPTP"
	;;
	*) wanmode="Unknown";;
esac

config_get pubssid public essid
config_get privssid private essid
config_get encryption private encryption

pub_mac="$(ifconfig ath0 | grep HWaddr | awk -F'[ ]+' '{print $5}')"
priv_mac="$(ifconfig ath1 | grep HWaddr | awk -F'[ ]+' '{print $5}')"
bridge_ip="$(ifconfig ath0 | grep inet | awk -F'[: ]+' '{print $4}')"
priv_ip="$(ifconfig ath1 | grep inet | awk -F'[: ]+' '{print $4}')"
wan_mac="$(ifconfig eth0 | grep HWaddr | awk -F'[ ]+' '{print $5}')"
wan_ip="$(ifconfig "${wan_ifname:-eth0}" | grep inet | awk -F'[: ]+' '{print $4}')"
wan_gw="$(route -n | grep '^0.0.0.0' | awk '{print $2}')"
#wan_ns=
for ns in $(grep nameserver /etc/resolv.conf | awk '{print $2}'); do
	wan_ns="${wan_ns:+$wan_ns, }$ns"
done

version="$(cat /etc/fon_version) r$(cat /etc/fon_revision)"
addonversion="$(cat /etc/addon_version)"

connected=
for con in $(cat /var/dhcp.leases | awk '{printf "MAC:&nbsp; %s &nbsp;&nbsp;&nbsp;IP:&nbsp; %s &nbsp;&nbsp;&nbsp;PC:&nbsp; %s<br />", $2, $3, $4}'); do
	connected="${connected:+$connected}$con"
done

connected="$(echo $connected | tr a-z A-Z | sed -e "s/NBSP/nbsp/g")"

header "Router Status - Freewlan Addons $addonversion"

case "$mode" in
	1) cat <<EOF
		<table width="90%">
		<tr><td colspan="2"><p><strong>@TR<<Router acts as access point>></strong></p></td></tr>
		<tr><td colspan="2"><p><hr /></p></td></tr>
		
		<tr><td colspan="2"><p><strong>@TR<<Active DHCP leases of the private WLAN>></strong></p></td></tr>
		<tr><td colspan="2">$connected</td></tr>
		<tr><td colspan="2"><p><hr /></p></td></tr>
		
		<tr><td colspan="2"><p><strong>@TR<<Configuration summary>></strong></p></td></tr>
		<tr><td>@TR<<Firmware Version>>:</td><td>$version</td></tr>
		<tr><td>@TR<<Addon Version>>:</td><td>$addonversion</td></tr>
		<tr><td colspan="2"><p><hr /></p></td></tr>
		
		<tr><td colspan="2"><p><strong>@TR<<Internet connection>></strong></p></td></tr>
		<tr><td>@TR<<Connection type>>:</td><td>$wanmode</td></tr>
		<tr><td>@TR<<MAC Address>>:</td><td>$wan_mac</td></tr>
		<tr><td>@TR<<IP Address>>:</td><td>${wan_ip:-N/A}</td></tr>
		<tr><td>@TR<<Gateway address>>:</td><td>${wan_gw:-N/A}</td></tr>
		<tr><td>@TR<<DNS Server>>:</td><td>${wan_ns:-N/A}</td></tr>
		<tr><td colspan="2"><p><hr /></p></td></tr>
		
		<tr><td colspan="2"><p><strong>@TR<<WiFi Settings>></strong></p></td></tr>
		<tr><td>@TR<<Public SSID>>:</td><td>FON_$pubssid</td></tr>
		<tr><td>@TR<<Public MAC>>:</td><td>$pub_mac</td></tr>
		<tr><td>@TR<<Private SSID>>:</td><td>$privssid</td></tr>
		<tr><td>@TR<<Private MAC>>:</td><td>$priv_mac</td></tr>
		<tr><td>@TR<<Encryption>>:</td><td>${encryption:-none}</td></tr>
		<tr><td>@TR<<IP Address>>:</td><td>${priv_ip:-N/A}</td></tr>
		</table>
EOF
;;

	2) cat <<EOF
		<table width="90%">
		<tr><td colspan="2"><p><strong>@TR<<Router acts as repeater>></strong></p></td></tr>
		<tr><td colspan="2"><p><hr /></p></td></tr>
		
		<tr><td colspan="2"><p><strong>@TR<<Active DHCP leases of the directly connected systems>></strong></p></td></tr>
		<tr><td colspan="2">$connected</td></tr>
		<tr><td colspan="2"><p><hr /></p></td></tr>
		
		<tr><td colspan="2"><p><strong>@TR<<Configuration summary>></strong></p></td></tr>
		<tr><td>@TR<<Firmware Version>>:</td><td>$version</td></tr>
		<tr><td>@TR<<Addon Version>>:</td><td>$addonversion</td></tr>
		<tr><td colspan="2"><p><hr /></p></td></tr>
		
		<tr><td colspan="2"><p><strong>@TR<<Host connection>></strong></p></td></tr>
		<tr><td>@TR<<Local SSID>>:</td><td>$ssid</td></tr>
		<tr><td>@TR<<IP Address>>:</td><td>${bridge_ip:-N/A}</td></tr>
		<tr><td>@TR<<Gateway address>>:</td><td>${wan_gw:-N/A}</td></tr>
		<tr><td>@TR<<DNS Server>>:</td><td>${wan_ns:-N/A}</td></tr>
		<tr><td colspan="2"><p><hr /></p></td></tr>
		
		<tr><td colspan="2"><p><strong>@TR<<WiFi Settings>></strong></p></td></tr>
		<tr><td>@TR<<Public SSID>>:</td><td>$repeater_ssid</td></tr>
		<tr><td>@TR<<Public MAC>>:</td><td>$pub_mac</td></tr>
		</table>
EOF
;;

esac

footer ?>
