#!/usr/bin/webif-page
<?

###
 #
 # FreeWLAN Addons - http://www.freewlan.info
 #
 # This Script is based on the original La Fonera Firmware version 0.7.1r2
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
 # as published by the Free Software Foundation; either version 2
 # of the License, or (at your option) any later version.
 #
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 # MA  02110-1301, USA
 #
 # http://www.gnu.org/copyleft/gpl.html
 #
###

. /usr/lib/webif/webif.sh

validate <<EOF
string|FORM_submit|@TR<<Submit>>|max=10|$FORM_submit
EOF

if [ "$?" != "0" ]
then
	FORM_submit=""
fi

load_settings fon

if empty "$FORM_submit"; then
	get_default ssid public essid
else
	validate <<EOF
string|FORM_ssid|@TR<<ESSID>>|required max=28|$FORM_ssid
EOF
	equal "$?" 0 && {
		save_setting fon public essid "$FORM_ssid"
		commit_settings
		iwconfig ath0 essid "FON_$FORM_ssid"
		SAVED=1
	}
fi

header "Pub_Title#Public Wireless Settings"

display_form <<EOF
	infotable|PRE_PUB_SSID#This is the name of the signal the rest of the foneros will connect to. It will be automatically prefixed with the 'FON_' string
	start_table|0|10|5
		add_row
			add_label_cell|@TR<<SSID#Signal name (SSID)>>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;FON_
			add_input_cell|ssid|$FORM_ssid|tableTextButton
		end_row
		add_row
			add_button_cell|submit|@TR<<Submit>>
		end_row
	end_table
EOF

footer ?>
